cargo-shuttle(1)

NAME
cargo-shuttle - CLI for the Shuttle platform (https://www.shuttle.dev/)

SYNOPSIS
cargo-shuttle [--offline] [--debug] [--working-directory] [--name] [-h|--help] [-V|--version] [dummy] <subcommands>

DESCRIPTION
CLI for the Shuttle platform (https://www.shuttle.dev/)

See the CLI docs for more information: https://docs.shuttle.dev/guides/cli

OPTIONS

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

GLOBAL OPTIONS

--offline
    Disable network requests that are not strictly necessary. Limits some features
    May also be specified with the SHUTTLE_OFFLINE environment variable.

--debug
    Turn on tracing output for Shuttle libraries. (WARNING: can print sensitive data)
    May also be specified with the SHUTTLE_DEBUG environment variable.

--working-directory=WORKING_DIRECTORY [default: .]
    Specify the working directory

--name=NAME_OR_ID
    Specify the name or id of the project

SUBCOMMANDS

cargo-shuttle-init(1)
    Generate a Shuttle project from a template

cargo-shuttle-run(1)
    Run a project locally

cargo-shuttle-deploy(1)
    Deploy a project

cargo-shuttle-deployment(1)
    Manage deployments

cargo-shuttle-logs(1)
    View build and deployment logs

cargo-shuttle-project(1)
    Manage Shuttle projects

cargo-shuttle-resource(1)
    Manage resources

cargo-shuttle-certificate(1)
    Manage SSL certificates for custom domains

cargo-shuttle-account(1)
    Show info about your Shuttle account

cargo-shuttle-login(1)
    Log in to the Shuttle platform

cargo-shuttle-logout(1)
    Log out of the Shuttle platform

cargo-shuttle-generate(1)
    Generate shell completions and man page

cargo-shuttle-feedback(1)
    Open an issue on GitHub and provide feedback

cargo-shuttle-upgrade(1)
    Upgrade the Shuttle CLI binary

cargo-shuttle-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
v0.54.0

NAME
init - Generate a Shuttle project from a template

SYNOPSIS
init [-t|--template] [--from] [--subfolder] [--force-name] [--create-env] [--no-git] [--prompt] [--api-key] [-h|--help] [PATH]

DESCRIPTION
Generate a Shuttle project from a template

OPTIONS

-t, --template=TEMPLATE
    Clone a starter template from Shuttle's official examples
    Possible values:

    •   axum: Axum - Modular web framework from the Tokio ecosystem

    •   actix-web: Actix Web - Powerful and fast web framework

    •   rocket: Rocket - Simple and easy-to-use web framework

    •   loco: Loco - Batteries included web framework based on Axum

    •   salvo: Salvo - Powerful and simple web framework

    •   poem: Poem - Full-featured and easy-to-use web framework

    •   poise: Poise - Discord Bot framework with good slash command support

    •   serenity: Serenity - Discord Bot framework

    •   tower: Tower - Modular service library

    •   thruster: Thruster - Web framework

    •   tide: Tide - Web framework

    •   warp: Warp - Web framework

    •   none: No template - Make a custom service

--from=FROM
    Clone a template from a git repository or local path using cargo-generate

--subfolder=SUBFOLDER
    Path to the template in the source (used with --from)

--force-name
    Don't check the project name's validity or availability and use it anyways

--create-env
    Whether to start the container for this project on Shuttle, and claim the project name

--no-git
    Don't initialize a new git repository

-h, --help
    Print help (see a summary with '-h')

[PATH] [default: .]
    Path where to place the new Shuttle project

LOGIN OPTIONS

--prompt
    Prompt to paste the API key instead of opening the browser

--api-key=API_KEY
    Log in with this Shuttle API key

NAME
run - Run a project locally

SYNOPSIS
run [-p|--port] [--external] [-r|--release] [--raw] [--bacon] [--secrets] [-h|--help]

DESCRIPTION
Run a project locally

OPTIONS

-p, --port=PORT [default: 8000]
    Port to start service on
    May also be specified with the PORT environment variable.

--external
    Use 0.0.0.0 instead of localhost (for usage with local external devices)

-r, --release
    Use release mode for building the project

--raw
    Don't display timestamps and log origin tags

--bacon
    Uses bacon crate to run the project in watch mode

--secrets=SECRETS
    Use this secrets file instead

-h, --help
    Print help

NAME
deploy - Deploy a project

SYNOPSIS
deploy [--allow-dirty] [--output-archive] [--no-follow] [--raw] [--secrets] [-h|--help]

DESCRIPTION
Deploy a project

OPTIONS

--allow-dirty
    Allow deployment with uncommitted files

--output-archive=OUTPUT_ARCHIVE
    Output the deployment archive to a file instead of sending a deployment request

--no-follow
    Don't follow the deployment status, exit after the operation begins

--raw
    Don't display timestamps and log origin tags

--secrets=SECRETS
    Use this secrets file instead

-h, --help
    Print help

NAME
deployment - Manage deployments

SYNOPSIS
deployment [-h|--help] <subcommands>

DESCRIPTION
Manage deployments

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

deployment-list(1)
    List the deployments for a service

deployment-status(1)
    View status of a deployment

deployment-redeploy(1)
    Redeploy a previous deployment (if possible)

deployment-stop(1)
    Stop running deployment(s)

deployment-help(1)
    Print this message or the help of the given subcommand(s)

NAME
list - List the deployments for a service

SYNOPSIS
list [--page] [--limit] [--raw] [-h|--help]

DESCRIPTION
List the deployments for a service

OPTIONS

--page=PAGE [default: 1]
    Which page to display

--limit=LIMIT [default: 10]
    How many deployments per page to display

-h, --help
    Print help

TABLE OPTIONS

--raw
    Output tables without borders

NAME
status - View status of a deployment

SYNOPSIS
status [-h|--help] [ID]

DESCRIPTION
View status of a deployment

OPTIONS

-h, --help
    Print help

[ID]
    ID of deployment to get status for

NAME
redeploy - Redeploy a previous deployment (if possible)

SYNOPSIS
redeploy [--no-follow] [--raw] [-h|--help] [ID]

DESCRIPTION
Redeploy a previous deployment (if possible)

OPTIONS

--no-follow
    Don't follow the deployment status, exit after the operation begins

--raw
    Don't display timestamps and log origin tags

-h, --help
    Print help

[ID]
    ID of deployment to redeploy

NAME
stop - Stop running deployment(s)

SYNOPSIS
stop [--no-follow] [--raw] [-h|--help]

DESCRIPTION
Stop running deployment(s)

OPTIONS

--no-follow
    Don't follow the deployment status, exit after the operation begins

--raw
    Don't display timestamps and log origin tags

-h, --help
    Print help

NAME
logs - View build and deployment logs

SYNOPSIS
logs [-l|--latest] [--raw] [--all-deployments] [-h|--help] [ID]

DESCRIPTION
View build and deployment logs

OPTIONS

-l, --latest
    View logs from the most recent deployment (which is not always the latest running one)

--raw
    Don't display timestamps and log origin tags

--all-deployments
    Get logs from all deployments instead of one deployment

-h, --help
    Print help

[ID]
    Deployment ID to get logs for. Defaults to the current deployment

NAME
project - Manage Shuttle projects

SYNOPSIS
project [-h|--help] <subcommands>

DESCRIPTION
Manage Shuttle projects

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

project-create(1)
    Create a project on Shuttle

project-update(1)
    Update project config

project-status(1)
    Get the status of this project on Shuttle

project-list(1)
    List all projects you have access to

project-delete(1)
    Delete a project and all linked data

project-link(1)
    Link this workspace to a Shuttle project

project-help(1)
    Print this message or the help of the given subcommand(s)

NAME
create - Create a project on Shuttle

SYNOPSIS
create [-h|--help]

DESCRIPTION
Create a project on Shuttle

OPTIONS

-h, --help
    Print help

NAME
update - Update project config

SYNOPSIS
update [-h|--help] <subcommands>

DESCRIPTION
Update project config

OPTIONS

-h, --help
    Print help

NAME
status - Get the status of this project on Shuttle

SYNOPSIS
status [-h|--help]

DESCRIPTION
Get the status of this project on Shuttle

OPTIONS

-h, --help
    Print help

NAME
list - List all projects you have access to

SYNOPSIS
list [--raw] [-h|--help]

DESCRIPTION
List all projects you have access to

OPTIONS

-h, --help
    Print help

TABLE OPTIONS

--raw
    Output tables without borders

NAME
delete - Delete a project and all linked data

SYNOPSIS
delete [-y|--yes] [-h|--help]

DESCRIPTION
Delete a project and all linked data

OPTIONS

-y, --yes
    Skip confirmations and proceed

-h, --help
    Print help

NAME
link - Link this workspace to a Shuttle project

SYNOPSIS
link [-h|--help]

DESCRIPTION
Link this workspace to a Shuttle project

OPTIONS

-h, --help
    Print help

NAME
resource - Manage resources

SYNOPSIS
resource [-h|--help] <subcommands>

DESCRIPTION
Manage resources

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

resource-list(1)
    List the resources for a project

resource-delete(1)
    Delete a resource

resource-help(1)
    Print this message or the help of the given subcommand(s)

NAME
list - List the resources for a project

SYNOPSIS
list [--show-secrets] [--raw] [-h|--help]

DESCRIPTION
List the resources for a project

OPTIONS

--show-secrets
    Show secrets from resources (e.g. a password in a connection string)

-h, --help
    Print help

TABLE OPTIONS

--raw
    Output tables without borders

NAME
delete - Delete a resource

SYNOPSIS
delete [-y|--yes] [-h|--help] <RESOURCE_TYPE>

DESCRIPTION
Delete a resource

OPTIONS

-y, --yes
    Skip confirmations and proceed

-h, --help
    Print help

<RESOURCE_TYPE>
    Type of the resource to delete. Use the string in the 'Type' column as displayed in the `resource list` command. For example, 'database::shared::postgres'

NAME
dump - Dump a resource

SYNOPSIS
dump [-h|--help] <RESOURCE_TYPE>

DESCRIPTION
Dump a resource

OPTIONS

-h, --help
    Print help

<RESOURCE_TYPE>
    Type of the resource to dump. Use the string in the 'Type' column as displayed in the `resource list` command. For example, 'database::shared::postgres'

NAME
certificate - Manage SSL certificates for custom domains

SYNOPSIS
certificate [-h|--help] <subcommands>

DESCRIPTION
Manage SSL certificates for custom domains

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

certificate-add(1)
    Add an SSL certificate for a custom domain

certificate-list(1)
    List the certificates for a project

certificate-delete(1)
    Delete an SSL certificate

certificate-help(1)
    Print this message or the help of the given subcommand(s)

NAME
add - Add an SSL certificate for a custom domain

SYNOPSIS
add [-h|--help] <DOMAIN>

DESCRIPTION
Add an SSL certificate for a custom domain

OPTIONS

-h, --help
    Print help

<DOMAIN>
    Domain name

NAME
list - List the certificates for a project

SYNOPSIS
list [--raw] [-h|--help]

DESCRIPTION
List the certificates for a project

OPTIONS

-h, --help
    Print help

TABLE OPTIONS

--raw
    Output tables without borders

NAME
delete - Delete an SSL certificate

SYNOPSIS
delete [-y|--yes] [-h|--help] <DOMAIN>

DESCRIPTION
Delete an SSL certificate

OPTIONS

-y, --yes
    Skip confirmations and proceed

-h, --help
    Print help

<DOMAIN>
    Domain name

NAME
account - Show info about your Shuttle account

SYNOPSIS
account [-h|--help]

DESCRIPTION
Show info about your Shuttle account

OPTIONS

-h, --help
    Print help

NAME
login - Log in to the Shuttle platform

SYNOPSIS
login [--prompt] [--api-key] [-h|--help]

DESCRIPTION
Log in to the Shuttle platform

OPTIONS

-h, --help
    Print help

LOGIN OPTIONS

--prompt
    Prompt to paste the API key instead of opening the browser

--api-key=API_KEY
    Log in with this Shuttle API key

NAME
logout - Log out of the Shuttle platform

SYNOPSIS
logout [--reset-api-key] [-h|--help]

DESCRIPTION
Log out of the Shuttle platform

OPTIONS

--reset-api-key
    Reset the API key before logging out

-h, --help
    Print help

NAME
generate - Generate shell completions and man page

SYNOPSIS
generate [-h|--help] <subcommands>

DESCRIPTION
Generate shell completions and man page

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

generate-shell(1)
    Generate shell completions

generate-manpage(1)
    Generate man page to the standard output

generate-help(1)
    Print this message or the help of the given subcommand(s)

NAME
shell - Generate shell completions

SYNOPSIS
shell [-o|--output] [-h|--help] <SHELL>

DESCRIPTION
Generate shell completions

OPTIONS

-o, --output=OUTPUT
    Output to a file (stdout by default)

-h, --help
    Print help

<SHELL>
    The shell to generate shell completion for
    [possible values: bash, elvish, fish, powershell, zsh]

NAME
manpage - Generate man page to the standard output

SYNOPSIS
manpage [-h|--help]

DESCRIPTION
Generate man page to the standard output

OPTIONS

-h, --help
    Print help

NAME
feedback - Open an issue on GitHub and provide feedback

SYNOPSIS
feedback [-h|--help]

DESCRIPTION
Open an issue on GitHub and provide feedback

OPTIONS

-h, --help
    Print help

NAME
upgrade - Upgrade the Shuttle CLI binary

SYNOPSIS
upgrade [--preview] [-h|--help]

DESCRIPTION
Upgrade the Shuttle CLI binary

OPTIONS

--preview
    Install an unreleased version from the repository's main branch

-h, --help
    Print help